package com.sunyard.ssp.modules.monitor.log.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author fyc
 * @since 2020-03-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("SC_AUDIT_LOG")
@ApiModel(value="", description="")
public class AuditLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("ID")
    private Long id;

    @ApiModelProperty(value = "创建时间")
    @TableField("CREATE_TIME")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "操作者")
    @TableField("OPERATOR_NAME")
    private String operatorName;

    @ApiModelProperty(value = "操作者ID")
    @TableField("OPERATOR_ID")
    private Long operatorId;

    @ApiModelProperty(value = "操作内容")
    @TableField("OPERATE_CONTENT")
    private String operateContent;

    @ApiModelProperty(value = "IP地址")
    @TableField("IP_ADDRESS")
    private String ipAddress;

    @ApiModelProperty(value = "IP信息")
    @TableField("IP_INFO")
    private String ipInfo;

    @ApiModelProperty(value = "请求路径")
    @TableField("REQUEST_PATH")
    private String requestPath;

    @ApiModelProperty(value = "请求类型")
    @TableField("REQUEST_MOTHED")
    private String requestMothed;

    @ApiModelProperty(value = "请求数据")
    @TableField("REQUEST_PARAM")
    private String requestParam;

    @ApiModelProperty(value = "操作类型")
    @TableField("OPERATE_TYPE")
    private String operateType;

    @ApiModelProperty(value = "操作结果")
    @TableField("OPERATE_RESULT")
    private String operateResult;

    @ApiModelProperty(value = "耗时")
    @TableField("TIME_CONSUMING")
    private Integer timeConsuming;

    @ApiModelProperty(value = "阅读状态")
    @TableField("READ_STATUS")
    private Integer readStatus;

    @ApiModelProperty(value = "批阅人Id")
    @TableField("READ_USER_ID")
    private Long readUserId;

    @ApiModelProperty(value = "批阅人名字")
    @TableField("READ_USER_NAME")
    private String readUserName;


}
