package com.sunyard.ssp.modules.sysconf.cipherunit.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunyard.ssp.modules.sysconf.cipherunit.entity.ScCipherMachine;
import com.sunyard.ssp.modules.sysconf.cipherunit.entity.ScCipherMachineVo;

/**
* @author admin
* @description 针对表【SC_CIPHER_MACHINE(密码部件配置)】的数据库操作Service
* @createDate 2024-05-16 14:20:57
*/
public interface ScCipherMachineService extends IService<ScCipherMachine> {
    /**
     * 查询密码部件配置
     * @return 密码部件vo类 ScCipherMachine
     */
    ScCipherMachineVo queryCipherMachine();

    /**
     * 添加密码部件配置
     * @param scCipherMachine 密码部件配置
     * @return scCipherMachine 添加后的结果
     */
    ScCipherMachine addCipherMachine(ScCipherMachine scCipherMachine);

    /**
     * 修改密码部件配置
     * @param scCipherMachine 密码部件配置
     * @return scCipherMachine 添加后的结果
     */
    ScCipherMachine editCipherMachine(ScCipherMachine scCipherMachine);

    /**
     * 删除密码部件配置
     * @param id 要删除的id
     */
    void deleteCipherMachine(Long id);
}
